# Interface IWizardPage

All Superinterfaces:
  `IDialogPage`

All Known Subinterfaces:
  `IScmUrlImportWizardPage, IWorkingSetPage`

All Known Implementing Classes:
  `AcceptLicensesWizardPage, RefactoringWizardPage, RenameResourceWizard.RenameResourceRefactoringConfigurationPage, UserInputWizardPage, WizardDataTransferPage, WizardExportResourcesPage, WizardExternalProjectImportPage, WizardNewFileCreationPage, WizardNewFolderMainPage, WizardNewLinkPage, WizardNewProjectCreationPage, WizardNewProjectReferencePage, WizardPage, WizardResourceImportPage, WizardSelectionPage`

public interface IWizardPage extends IDialogPage
Interface for a wizard page.

The class `WizardPage` provides an abstract implementation of this interface. However, clients are also free to implement this interface if `WizardPage` does not suit their needs.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canFlipToNextPage()`
Returns whether the next page could be displayed.
`default Point`
`getMinimumPageSize()`
Returns the minimum page size used of this page.
`String`
`getName()`
Returns this page's name.
`IWizardPage`
`getNextPage()`
Returns the wizard page that would to be shown if the user was to press the Next button.
`IWizardPage`
`getPreviousPage()`
Returns the wizard page that would to be shown if the user was to press the Back button.
`IWizard`
`getWizard()`
Returns the wizard that hosts this wizard page.
`boolean`
`isPageComplete()`
Returns whether this page is complete or not.
`void`
`setPreviousPage(IWizardPage page)`
Sets the wizard page that would typically be shown if the user was to press the Back button.
`void`
`setWizard(IWizard newWizard)`
Sets the wizard that hosts this wizard page.

### Methods inherited from interface IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

## Method Details

### canFlipToNextPage

boolean canFlipToNextPage()
Returns whether the next page could be displayed.

Returns:
  `true` if the next page could be displayed, and `false` otherwise

### getMinimumPageSize

default Point getMinimumPageSize()
Returns the minimum page size used of this page. May return `null` if this page doesn't specify a minimum size..

Returns:
  the minimum page size encoded as `new Point(width,height)`
Since:
  3.30
See Also:
  - `IWizard.getMinimumWizardSize()`

### getName

String getName()
Returns this page's name.

Returns:
  the name of this page

### getNextPage

IWizardPage getNextPage()
Returns the wizard page that would to be shown if the user was to press the Next button.

Returns:
  the next wizard page, or `null` if none

### getPreviousPage

IWizardPage getPreviousPage()
Returns the wizard page that would to be shown if the user was to press the Back button.

Returns:
  the previous wizard page, or `null` if none

### getWizard

IWizard getWizard()
Returns the wizard that hosts this wizard page.

Returns:
  the wizard, or `null` if this page has not been added to any wizard
See Also:
  - `setWizard(IWizard)`

### isPageComplete

boolean isPageComplete()
Returns whether this page is complete or not.

This information is typically used by the wizard to decide when it is okay to finish.

Returns:
  `true` if this page is complete, and `false` otherwise

### setPreviousPage

void setPreviousPage(IWizardPage page)
Sets the wizard page that would typically be shown if the user was to press the Back button.

This method is called by the container.

Parameters:
  `page` - the previous wizard page

### setWizard

void setWizard(IWizard newWizard)
Sets the wizard that hosts this wizard page. Once established, a page's wizard cannot be changed to a different wizard.

Parameters:
  `newWizard` - the wizard
See Also:
  - `getWizard()`